Skip to content

List D1 databases

GET
/api/v1/storage/d1
curl --request GET \
--url https://digize.com/api/v1/storage/d1 \
--header 'x-api-key: <x-api-key>'

The workspace’s D1 databases, with their size, tables, last day’s reads and writes, and the workers that bind them.

Needs the sites:read permission.

Done

Media typeapplication/json
Array<object>
object
id
required
string
name
required
string
cloudflareName
required
string
createdAt
required
string format: date-time
location
required
string
sizeBytes
required
number
tables
required
number
rowsRead
required
number
rowsWritten
required
number
readReplication
required
boolean
boundTo
required
Array<object>
object
worker
required
string
variable
required
string | null
live
required
boolean

Example generated

[
{
"id": "example",
"name": "example",
"cloudflareName": "example",
"createdAt": "2026-04-15T12:00:00Z",
"location": "example",
"sizeBytes": 1,
"tables": 1,
"rowsRead": 1,
"rowsWritten": 1,
"readReplication": true,
"boundTo": [
{
"worker": "example",
"variable": "example"
}
],
"live": true
}
]

What was sent isn’t valid (invalid).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

No key, or one that’s unknown, off or expired.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

The key doesn’t have the permission this needs.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Nothing has that id (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Over the rate limit; see retry-after.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}